Release Notes - Softwareupdate CMC III V 10.1.2

!!! Wichtige Hinweise !!!

!- Diese ReOS Version ist nicht kompatibel mit RiZone 3.11.109.0 oder älter

!- Bitte stellen Sie sicher, dass der FTP Client binaere Datenuebertragung nutzt.!

!- Bitte stellen Sie sicher, dass der FTP Client die Updatedatei nicht segmentiert
uebertraegt.!

!- Die Passwörter der Benutzer im Auslieferungszustand sollten unverzüglich geändert werden,
um die Sicherheit zu erhöhen.!

!- Soll das Update mittels USB-Stick auf das CMC uebertragen werden, muss der USB-Stick
beim Booten der CMC III PU entfernt sein. Damit das Update erkannt wird, darf der
USB-Stick mit dem Update erst waehrend des laufenden Betriebs der CMC III PU eingesteckt
werden.!

!- Bei Geraeten, die in ihrem Auslieferungszustand mit der Softwareversion V 3.11.00_1
ausgestattet waren, werden die internen Sensoren nach dem Update einmalig zurueckgesetzt
und muessen nach dem Update neu eingestellt werden. Dies betrifft nur LCP-Geraete und nur
die internen Sensoren der CMC III PU. Generelle Einstellungen und Konfigurationen anderer
Sensoren sind nicht betroffen.!

!- Erhaelt ein LCP mit der Version V 3.11.00_5 und aelter ein Update auf eine neuere
Version, muss das LCP als Sensor neu bestaetigt werden. Dies kann durch Druecken der
"C"-Taste an der Front der CMC III PU fuer 3 Sekunden erfolgen, oder auf der Webseite
durch Rechtsklick in der Meldungsliste und Auswaehlen der Aktion "Acknowledge".!

!- Wenn die Seriennummer der eingebauten CMC III PU an letzter Stelle eine "9" enthaelt,
bekommt das Geraet "LCP" eine neue Seriennummer und wird als neuer Sensor erkannt.
Dadurch aendern sich auch die OIDs und Modbus-Adressen fuer das LCP. Um diese wieder
auf den urspruenglichen Zustand zurueck zu setzen muss ein "Reorganize" druchgefuehrt
und das LCP nochmals bestaetigt werden.!

!- Der Index der beiden digitalen Eingaenge der CMC III Processing Unit ist nach einem 
Update der Software von V 3.09.00 auf eine hoehere Version gedreht und entspricht nun der
Beschriftung auf dem Geraet. Werden die digitalen Eingaenge in Tasks oder Virtual
Devices verwendet, muessen diese Virtual Devices oder Tasks nach dem Update
entsprechend angepasst werden.!

!- Durch neu hinzugekommene Werte und Einstellungen ist die MIB des CMC III geaendert
worden und muss ggf. neu in ein Managementsystem eingepflegt werden.
Generell sollten die OIDs des CMC III mit Hilfe der ASCII-Repraesentation anstatt einer
Zahlenkette in ein Managementsystem eingebunden werden, da sich durch neu hinzugekommene
Variablen die OIDs aendern koennen, dies aber dann nur die Zahlenkette betrifft.!

!- Nach einem Update auf V 3.17.10 koennen manche Modbus-Adressen durch neu
hinzugekommene Werte verschoben sein. Das Mapping sollte vor und nach einem Update
ueberprueft und bei Verschiebung neu in das uebergeordnete Managementsystem eingebunden
oder angepasst werden.!

!- Soll eine normale CMC III PU in ein LCP oder ein RiMatrix S eingebaut werden, muss
diese mit Hilfe einer Patch-Datei auf das jeweilige System eingestellt werden. Sollte
dies noetig sein, wenden Sie sich bitte an den Service der Firma Rittal.!

!- Die Anzeigegeschwindigkeit der mobilen Webseite ist stark von der Performance des
verwendeten Mobilgeraets abhaengig. Die Anzahl der angezeigten Variablen und Fenster
sollte deshalb moeglichst gering gehalten und nach Konfiguration des Dashboards fuer die
mobile Webseite getestet werden.!

- Waehrend des Bootvorgangs einer CMC III Processing Unit sollte diese nicht von der
Spannungsversorgung getrennt werden, da sonst Schaeden in der CMC III PU entstehen
koennen. Der Bootvorgang ist erfolgreich verlaufen, wenn das akustische Signal
ertoent oder die Webseite wieder erreichbar ist.
- Ist ein Virtual Device angelegt, kann sich dieses u. U. beim Update auf V 3.17.10
aendern und den Status "Changed" anzeigen. Hier muss lediglich der eingestellte
"Output" des Virtual Device neu ausgewaehlt werden. Wird die Einheit der
Temperaturmessung umgestellt, so muss ein Virtual Device mit einem Temperaturwert als
Input-Variable ebenfalls neu konfiguriert werden.
- Nach dem Update der CMC III PU erhalten auch die angeschlossenen Sensoren ein
Update. Der Updatevorgang der Sensoren wird sowohl auf der Website, also auch durch ein
weisses Blinken an der Front-LED der CMC III Processing Unit angezeigt.
- Bitte beachten Sie die Sicherheitshinweise in der Updateanleitung.

- Aufgrund von Änderungen in der Rechteverwaltung ab Update V3.17.30_7 ist eine Neukonfiguration der Access-Verwaltung inklusive der Datenbank erforderlich.

!!! DER INSTALLATIONSPROZESS DER SW AB VERSION 10.0.2 KANN FÜR GERÄTE MIT DER HW VERSION KLEINER 6.0.0 PROBLEME VERURSACHEN. INSTALLATION AUF EIGENE GEFAHR. !!!

Neue Funktionen in V 10.1.2:
- Support für neue Sensoren (Luftstrom, Universal, Differenzdruck).
- Der Vandalismus-Sensor im Access Control und im Access Monitoring Sensor kann nun deaktiviert werden, wenn Wert auf "0" gesetzt wird.
- Notfall PIN Funktion mit der Nutzung des Zahlencodeschlosses hinzugefügt.
- Über ein neues Dialogfeld im Reiter "Zugangsberechtigung“ können Administratoren Aktionen festlegen, die ausgeführt werden sollen, sobald eine konfigurierbare Obergrenze für Anmeldeversuche bei „2-Faktor-PIN-Code- und Kartenkombinationen“ erreicht ist. Die Kombinationen können nach einer bestimmten Zeit automatisch oder manuell wieder freigegeben werden. 
- Es wurde ein neuer Systemstatus hinzugefügt, der alle Statusvariablen der Systemkomponenten zusammenfasst. Dieser Status ist in allen Verwaltungsprotokollen verfügbar.
- Die Portkonfiguration für LDAP wurde zu allen Protokollen hinzugefügt, die eine LDAP-Konfiguration unterstützen.

Änderungen in V 10.1.2:
- Bugfix: Bei einem Update von einem älteren Softwarestand werden nun alle Benutzer aufgefordert ihr Passwort zu ändern.
- Bugfix: Geräte für die Konfiguration des Filterlüfter-Eingangs, wie beispielsweise Temperatursensoren. können in der Konfiguration der virtuellen Geräte wieder hinzugefügt werden.
- Bugfix: Die Radius-Einstellungen nach einem Neustart wieder übernommen.
- Bugfix: Fehler behoben, der zu einem Neustart mit der Server Shutdown Funktion geführt hat.
- Bugfix: LDAP Nutzer mit Admin Rechten können wieder ihr Passwort ändern.
- Die Stabilität bei Nutzung von mehreren Sensoren wurde erhöht.
- Diverse Probleme mit Leckage-Sensoren behoben.

Bekannte Probleme in V 10.1.2:
- Radius: Login über SFTP nicht möglich.
- Rechte für übergeordnete Baumelemente in der Access-Verwaltung werden nicht automatisch auf untergeordnete Elemente übertragen. Diese können jedoch manuell gesetzt werden.
- Modbus TCP: Konfiguration von negativen Integerwerten wie z.B. Temperaturschwellen funktioniert nicht.



Neue Funktionen in V 10.0.2:
- Support für Sensoren neuer Generation (7010.xxx)

Änderungen in V 10.0.2:
- Bugfix: Skalierung von Charts angepasst.
- Bugfix: Web-Interface stürzt bei Processing Units mit älterer HW Revision nicht mehr ab, wenn eine PSM angeschlossen ist.
- Bugfix: Update-Status der Sensoren wird wieder korrekt angezeigt.
- Die Sicherheitslücke CVE-2025-26465 wurde geschlossen.
- Die Sicherheitslücke CVE-2024-39894 wurde geschlossen.
- Die Sicherheitslücke CVE-2024-6387 wurde geschlossen.
- Sicherheitsupdate: Patches für OpenSSH und andere Softwarefunktionen.


Neue Funktionen in V 3.23.0:
- Alle Login-Versuche werden nun aufgezeichnet.
- SSL Zertifikat kann nun als Zertifikatkette exportiert werden.
- Modbus/TCP: Die Allowed-Host-Liste erlaubt jetzt Hostnamen, nicht nur IP-Adressen.
- OPC-Port 65535 ist nun freigegeben.
- RiZone: Notfall- und Einmalcodes haben jetzt eine höhere Priorität als 4-Augen- und 2-Faktor-Authentifizierung.
- LDAP-Login in FTP, SFTP und Konsole ist nun möglich.
- Radius-Login in FTP und Konsole ist jetzt möglich.
- Unterstützung eines zweiten RADIUS-Servers.

Änderungen in V 3.23.0:
- Sicherheitsupdate: Installation einer Firewall für die Netzwerkkommunikation.
- Sicherheitsupdate: Verschärfung der Passwort-Richtlinien.
- Sicherheitsupdate: Das Admin-Passwort muss vom Benutzer vor der ersten Anmeldung geändert werden. Dasselbe gilt für neue Benutzer.
- Sicherheitsupdate: OPC-UA verfügt jetzt über eine Benutzerauthentifizierung.
- Sicherheitsupdate: SNMP unterstützt jetzt SHA1 und AES.
- Sicherheitsupdate: Der Bruteforce-Login-Schutz wurde verbessert.
- Sicherheitsupdate: USB/SD-Speicherschnittstelle kann über WebUI deaktiviert werden.

Bekannte Probleme in V 3.23.0:
- Rechte für übergeordnete Baumelemente in der Access-Verwaltung werden nicht automatisch auf untergeordnete Elemente übertragen. Diese können jedoch manuell gesetzt werden.
- Radius: Login über SFTP nicht möglich.
- Modbus TCP: Konfiguration von negativen Integerwerten wie z.B. Temperaturschwellen funktioniert nicht.



Änderungen in V 3.17.30_7:
- Optimierung: Performance- und Stabilitätsverbesserungen.
- Bugfix: Aktivierung von NTP funktioniert nun wie vorgesehen.
- Bugfix: Die Bearbeitung von Tasks und Charts funktioniert nun wie vorgesehen.

Änderungen in V 3.17.30_5:
- Die Sicherheitslücke CVE-2022-11956 wurde geschlossen.
- Die Sicherheitslücke CVE-2018-19052 wurde geschlossen.
- Die Sicherheitslücke CVE-2023-48795 wurde geschlossen.
- Bugfix: Der SMTP Mail Header wird nun von allen Providern akzeptiert.
- Optimierung: Performance- und Stabilitätsverbesserungen.

Bekannte Probleme in V 3.17.30_5:
- Sind an einem Gateway bereits PSM-Komponenten angemeldet und es werden weitere
PSM-Komponenten an dieses Gateway angeschlossen, kann es vorkommen dass das Gateway
die neu angeschlossenen PSM-Komponenten oder alle angeschlossenen Komponenten nicht
mehr findet. In diesem Fall muss das komplette Gateway durch Trennen vom Bus neu
gestartet werden. Dann werden alle PSM-Komponenten wieder erkannt.
- Sind 2 CAN-Bus DRC mit RFID-Controllern an eine PU angemeldet, kann es vorkommen,
dass ein neu angemeldeter Tag in der grafischen Ansicht des zweiten DRC-Controllers
nicht angezeigt wird, sondern nur in der Listen-Ansicht. Der Tag wird aber
zusaetzlich auch als neu erkannt in der Meldungsliste gefuehrt.
- Manche Einstellungen koennen mit dem Internet Explorer nicht richtig dargestellt
werden. Dies ist jedoch abhaengig von der Version des Browsers. Wird die Webseite von
dem verwendeten Internet Explorer nicht richtig angezeigt, muss dieser auf den
aktuellsten Stand gebracht werden oder alternativ ein anderer Browser verwendet werden.
- Auf der mobilen Webseite kann es bei bestimmten Betriebssystem- und Browser-
kombinationen zu Darstellungsfehlern kommen.
- Aendert ein User ein Dashboard, waehrend ein zweiter User auf einem anderen
Dashboard eingeloggt ist, so wird beim Speichern des Dashboards der zweite User
ausgeloggt.
- Bei einem Reboot des Systems ueber das Konsolen-Menue kann es vorkommen, dass das
System nicht wieder hochfaehrt. In diesem Zustand muss die zentrale Einheit von der
Spannungsversorgung getrennt und wieder neu angeschlossen werden.
- Nicht alle Softwarepakete des Betriebssystems sind upgedatet worden. Bei
Sicherheitsscans koennen diese weiterhin angezeigt werden.




Änderungen in V 3.17.30_5:
- Bugfix: Vier-Augen Prinzip kann nicht mehr ohne "AccessAck" genutzt werden.
- Bugfix: Die AccessConfiguration verhält sich bei einem Restore wieder wie vorgesehen.
- Bugfix: Wird über RiZone die Access Configuration eingespielt, wird die eingestellte 
Zwei-Faktor-Authentifizierung nicht mehr überschrieben.
- Bugfix: Die Sitzung wird abgemeldet, wenn wenn man das Protokoll (HTTP/s) deaktiviert, 
mit dem die Sitzung aufgebaut wurde.
- Optimierung: Die Einstellung für die Zwei-Faktor-Authentifizierung wurde in access.cmc3
hinzugefügt. Der Timeout beträgt 5...60 Sekunden.
- Optimierung: Neues DHCP-Verhalten: Der DHCP wird durchgehend neu angefragt, 
auch wenn der Server nach dem Booten noch nicht erreichbar ist. Sollte der Server 
nicht erreichbar sein, ist das Gerät unter der Default-IP-Adresse erreichbar. Falls im 
laufenden Betrieb zwischen zwei Netzwerken gewechselt wird, ist eine Pause von 20 Sekunden nötig. 
- Optimierung: Performance- und Stabilitätsverbesserungen.


Änderungen in V 3.17.30_2:
- Bugfix: Accessverwaltung über RiZone funktioniert wieder wie vorgesehen
- Bugfix: Fehler bei Anmeldung über RADIUS-Server behoben
- Optimierung der Erkennung und Verwaltung von mehreren Sensoren 

Bekannte Probleme in V 3.17.30_2:
- Sind an einem Gateway bereits PSM-Komponenten angemeldet und es werden weitere
PSM-Komponenten an dieses Gateway angeschlossen, kann es vorkommen dass das Gateway
die neu angeschlossenen PSM-Komponenten oder alle angeschlossenen Komponenten nicht
mehr findet. In diesem Fall muss das komplette Gateway durch Trennen vom Bus neu
gestartet werden. Dann werden alle PSM-Komponenten wieder erkannt.
- Sind 2 CAN-Bus DRC mit RFID-Controllern an eine PU angemeldet, kann es vorkommen,
dass ein neu angemeldeter Tag in der grafischen Ansicht des zweiten DRC-Controllers
nicht angezeigt wird, sondern nur in der Listen-Ansicht. Der Tag wird aber
zusaetzlich auch als neu erkannt in der Meldungsliste gefuehrt.
- Manche Einstellungen koennen mit dem Internet Explorer nicht richtig dargestellt
werden. Dies ist jedoch abhaengig von der Version des Browsers. Wird die Webseite von
dem verwendeten Internet Explorer nicht richtig angezeigt, muss dieser auf den
aktuellsten Stand gebracht werden oder alternativ ein anderer Browser verwendet werden.
- Auf der mobilen Webseite kann es bei bestimmten Betriebssystem- und Browser-
kombinationen zu Darstellungsfehlern kommen.
- Aendert ein User ein Dashboard, waehrend ein zweiter User auf einem anderen
Dashboard eingeloggt ist, so wird beim Speichern des Dashboards der zweite User
ausgeloggt.
- Bei einem Reboot des Systems ueber das Konsolen-Menue kann es vorkommen, dass das
System nicht wieder hochfaehrt. In diesem Zustand muss die zentrale Einheit von der
Spannungsversorgung getrennt und wieder neu angeschlossen werden.
- Nicht alle Softwarepakete des Betriebssystems sind upgedatet worden. Bei
Sicherheitsscans koennen diese weiterhin angezeigt werden.


Neue Funktionen in V 3.17.30_1:
- Unterstützung für E-Mail-Verschlüsselung mit TLS 1.0 - 1.2

Änderungen in V 3.17.30_1:
- Bugfix: Entriegeln des DCM über Tastenfeld / Kartenleser funktioniert wieder wie 
vorgesehen
- Bugfix: Fehler bei der Griffzuordnung behoben
- Bugfix: Konfiguration der Variablenliste im Dashboard funktioniert wieder
- Bugfix: Akustische Rückmeldung vom Tastenfeld / Kartenleser wird wieder abgespielt

Neue Funktionen in V 3.17.30:
- Unterstützung für CMC Funkgriffe und Wireless-Sensoren 
- Unterstützung für Enocean Sensors, Eltako FFT65B, 
Afriso AHD10/20, Eltako FFT60SB (nur zusammen mit CMC Funkgriff)
- Accessverwaltung: In eigenes Tab verschoben. 
Zwei-Faktor-Authentisierung eingeführt

Änderungen in V 3.17.30:
- Bugfix: Anmeldung mit Username und Passwort funktioniert wieder für SMTP
- Bugfix: Performance-Optimierung für OPC-UA zur Vermeidung von 
Verbindungsabbrüchen
- Bugfix: IPv6 DNS Serveradresse wird nun angezeigt
- Bugfix: Logmeldungen mit zu langen Texten werden nun korrekt angezeigt
- Optimierung von diversen Elementen im Webinterface
- Optimierung Accessverwaltung: In eigenes Tab verschoben. 
Änderungen werden automatisch in SQL Datenbank gespeichert und nicht mehr 
in Access.txt übernommen
- Optimierung der Einstellung von Ports im Webinterface: Ports werden auf 
Doppelvergabe überprüft
- Optimierung Anzahl wiederholender NTP-Loggings
- Optimierung Watchdog: Kann Dienste deaktivieren, wenn diese nach drei 
Neustarts nicht funktionieren
- Optimierung Erneuerung von SSH-Keys bei Verwendung von Patch 
- Beim Flashen im Factory-Rescue blinkt die LED nun weiß
- Temperatur-/Feuchtesensor 7030.111: Negative Taupunktwerte für °F 
nun möglich


Neue Funktionen in V 3.17.10:
- Logging der SMTP-Verbindung ueber systeminterne, per FTP abrufbare Datei im
Verzeichnis /download/smtp.log
- Aenderungen des Syslogservers werden einmal an die alte und neue Syslog-
Konfiguration gesendet
- Umstellung von Celsius / Fahrenheit ueber SNMP moeglich
- Syslog unterstuetzt jetzt noch zusaetzlich TCP und TCP mit TLS
- Die Anzahl der Tasks wurden von 16 auf 32 erhoeht

Aenderungen in V 3.17.10:
- Bugfix: Performance-Optimierungen Webschnittstelle zur Reduzierung von moeglichen
Timeouts
- Bugfix: OPC-UA laesst sich wieder normal ueber das Webmenue deaktivieren
- Optimierung Systemsicherheit: Sicherheitsfeature zur Filterung ungewollter Code-
Einschleusungen ueber eine CGI-Injection
- Optimierung Systemsicherheit: Sicherheitsfeature zur Filterung ungewollter Code-
Einschleusungen ueber SSH-Befehle (CLI Menue)
- Optimierung Systemsicherheit: Identische SSH Keys. Keys werden jetzt pro Device
zufaellig generiert. Bei erstem Login nach einem Update muss der neue Key bestaetigt
werden.
- Optimierung Systemsicherheit bei den Schreibrechten im Download-Ordner, 
besserer Schutz gegen Auslesen von snmp Passwoertern, hoehere Rechte fuer den 
Datenaustausch zwischen Prozessen notwendig.
- Optimierung SSH und SFTP einzeln Konfigurierbar (Enable, Port). SSH Default-Port 
wechselt von 22 auf 2222. SFTP bleibt bei 22. Es duerfen nicht identische Ports 
verwendet werden. SSH und SFTP unterstuetzen nun ecdsa und ed25519 Schluessel. 
Der DSA Schluessel wurde entfernt.
- Optimierung der Chart-Funktionen bei Skalierung und Messluecken. Button fuer Reset 
hinzugefuegt. Hebt den Zoom und springt an den aktuellen Zeitstempel.
- Optimierung der Anzeige von Temperatur und Luftfeuchtigkeit bei negativen Werten 
und Werten ueber 99.
- Optimierung des LDAP Dialogs: wenn der Dienst deaktiviert ist, sind leere 
Eingabefelder erlaubt. 
- Optimierung der Datumseingabe in Web und Terminal. Es kann das Datum ueber 
2038 hinaus verwendet werden. Datum im Terminal nur einstellbar wenn 
NTP deaktiviert ist. Kalender und Datum werden je nach Sprachauswahl angepasst.
- Optimierung der Zeitdarstellung. Unterschiedliche Anzeigeformate je nach 
gewaelter Sprache. 
- UNI-Sensor 7030.190 Firmware 12.021 - Analog Custom Value wird jetzt auf 1600 
Schritte skaliert.

Neue Funktionen in V 3.17.00:
- Unterstuetzung neuer VX IT Online-Komfortgriffe mit neuer Access Control
- Unterstuetzung LCP-CW und -CWG auf VX-Basis mit neuen Features
- Grafisches Widget fuer internen Temperatursensor
- Erweiterung Brute-Force-Schutz fuer integrierten Webserver (E-Mail-Alarm bei
mehreren fehlerhaften Login-Versuchen, Konfiguration ueber Hauptgeraet "Login")
- Neue Diagnose-Datei im Download-Verzeichnis (FTP) fuer SMTP-Verbindung

Aenderungen in V 3.17.00:
- Umbenennung Tab "Observation" in "Monitoring"
- Update fuer SSH-Konsole mit verbesserten Schutzmechanismen
- Beschraenkung der Leserechte auf interne Dateien (FTP)

Aenderungen in V 3.15.70_4:
- Bugfix: Fehlalarme der integrierten Sensoren behoben
- Bugfix: Unterstuetzung der GSM Units aus dem CMC-TC-Produktprogramm

Aenderungen in V 3.15.70_3:
- Bugfix: Fehlalarme der integrierten Sensoren verhindert
- Bugfix: Update wird auch bei Systemen mit HW V6.00 mit Software V 3.15.70_X gestartet

Aenderungen in V 3.15.70_2:
- Bugfix: Meldung falscher PIN bei SMS
- Bugfix: SNMP Name, Location, Contact ueberschrieben
- Bugfix: Reload Device List
- Bugfix: OPC-UA Erstinitialisierung verbessert

Aenderungen in V 3.15.70_1:
- Bugfix: Update-Probleme bei Systemen mit dem Softwarestand < V 3.15.00 und Systemen
im Werkszustand

Neue Funktionen in V 3.15.70:
- Grafische Widgets fuer Temperatursensor (7030.100), Temperatur-/Feuchtesensor
(7030.111) und CAN-Bus Access (7030.200) (nach dem Update muss die Webseite mit
der Tastenkombination "Strg + F5" im Browser aktualisiert werden)
- Unterstuetzung der LCP Next Generation (3312.XXX)

Aenderungen in V 3.15.70:
- Update des internen Betriebssystems und der System-Dienste
- Bugfix: Update Weboberflaeche zur vollen Kompatibilitaet mit neusten
Browser-Versionen
- Bugfix: Komplette Rechteuebernahme aus der Wiederherstellungsdatei fuer
PSM-CAN-Module mit C19 und Schuko

Neue Funktionen in V 3.15.20_10:
- Zertifikate mit einer Zertifizierungskette koennen verarbeitet werden
- Verzoegerte NTP-Abfrage nach Neustart (wenn kein NTP-Server verfuegbar)
- Radius: Durchsuchung aller Attribute nach der verwendeten Gruppe fuer das CMC

Aenderungen in V 3.15.20_10:
- Umbenennung der Zertifikatsdatei in "https.crt" (siehe auch CMC III FAQ)
- Unwichtige Zeichen (z.B. Leerzeichen) in SMS-Konfiguration werden ignoriert
- Performanceverbesserung der Funktion "Charts"

Neue Funktionen in V 3.15.20_9:
- Unterstuetzung neuer RiZone-Funktionen "Einmal-Pin" und "Notfall-Pin"
- Protokoll-Erweiterung: LDAPS

Aenderungen in V 3.15.20_9:
- Automatischer Reboot nach Aufspielen einer neuen Konfigurationsdatei
- Bugfix: Kommunikation zwischen CMC III PU und GSM Unit verbessert

Neue Funktionen in V 3.15.20_6:
- Sicherheitszertifikat ueber (S)FTP tauschbar

Aenderungen in V 3.15.20_6:
- SSLv3-Verbindungen werden nicht mehr akzeptiert (nur ueber TLS, sicherheitsrelevant)

Neue Funktionen in V 3.15.20:
- Unterstuetzung E-Mail-Versand ueber TLS
- Unterstuetzung des NH-Messmoduls, Art.Nr. 9343.070, 9343.170, 9343.270, 9343.370
- Unterstuetzung der neuen PSM-Module mit CAN-Bus Anschluss
- Offset fuer Temperatur- und Temperatur/Feuchte-Sensor (Hardwareabhaengig)
- Wiegand-Schnittstelle des Universalsensors unterstuetzt 56-Bit-Wiegand-Protokoll
- Variablenliste als CSV-Datei per FTP
- Status der Software-Images per FTP

Aenderungen in V 3.15.20:
- In den Charts sind die Setpoints nicht mehr als Variable waehlbar
- Erweiterung der MIB: "cmcIIIFiles" mit Aktualitaetsinformationen der Variablenliste
- In SNMP wird bei dem Wert cmcIIIVarValueStr das Grad-Zeichen durch deg ersetzt
- Softwareupdate mit der gleichen Version moeglich

Aenderungen in V 3.15.00_4:
- Bugfix: Nach dreimaligem Oeffnen der Ansicht eines PSM-Moduls wird die Einbaurichtung
korrekt dargestellt
- Bugfix: Bei Umstellung der Temperatureinheit auf Fahrenheit regelt das LCP normal
weiter

Aenderungen in V 3.15.00_2:
- Bugfix: Im Eingabedialog der TCP/IP-Einstellungen werden 12-stellige IP-Adressen
uebernommen
- Wird in der Konfiguration der Tasks die Aktion "Set Variable Value" ausgewaehlt, kann
dort die Option "--" gewaehlt werden, um in diesem Fall keine Aktion auszufuehren
- In den Einstellungen fuer SNMP kann in den Communities das Sonderzeichen "_" verwendet
werden

Neue Funktionen in V 3.15.00:
- Individuell gestaltbare Weboberflaeche ("Dashboards")
- Mobile Webseite fuer Android und Windows Phone
- Unterstuetzung von Modbus/TCP
- Benutzerverwaltung mit Hilfe von Radius (nur Webzugriff)
- Einbinden einer Axis-Webcam in das Webinterface moeglich (nicht mit Internet Explorer)
- Weiterleitung von Traps als SMS
- Funktionen bei Zugangssteuerung: 4-Augen-Prinzip und Leser/Griff-Zuordnung
- Alarmrelais der CMC III PU schaltbar
- Alarm-Simulations-Funktion in der Alarm Configuration der Sensoren
- Unterstuetzung der neuen CMC III-Sensoren
- Konfigurations-Historie per FTP
- Cooling-Konfiguration als Webinterface
- Cooling-Konfiguration passwortgeschuetzt
- Verwendung von Virtual Devices bei LCP und RiMatrix S
- Verbesserte Uebersicht in der Auswahl der Variablen fuer ein Chart, Setpoints nicht
  mehr auswaehlbar
- LCP-Bugfix: Wasser-Temperaturen "25,4" und "25,5" werden angezeigt und nicht mehr als
  Alarm gemeldet

Aenderungen in V 3.13.00_2:
- LCP-Bugfix: Verbesserte Kommunikation der CMC III PU mit Wasser- und Luefterplatine

Aenderungen in V 3.13.00_1:
- Verbesserte Funktionen bei Anschluss einer DET-AC III
- Versenden der Meldungen "Lost", "Detected", "Ok" eines Sensors per E-Mail
- LCP-Bugfix: Tasks akzeptieren Seriennummern, die mit einer "9" enden
- Wiegand-Schnittstelle des Universalsensors kompatibel mit EKEY Wiegand converter

Neue Funktionen in V 3.13.00:
- Unterstuetzung der SD-Karte (nicht bei CMC III PU Compact)
- Ueberwachung des verfuegbaren Speichers und Auswerfen der SD-Karte und USB-Stick
ueber die Weboberflaeche
- "Charts": Mitschreiben der gemessenen Werte auf USB-Stick oder SD-Karte und Anzeige
eines Graphen auf der Weboberflaeche (nicht bei CMC III PU Compact)
- Firmwareupdate ueber die Weboberflaeche
- Zusaetzliche Sprachen auswaehlbar: Deutsch, Russisch, Chinesisch, Spanisch,
Franzoesisch
- "Information"-Feld im Dialog "Access Configuration" ergaenzt
- "Logging"-Eintraege koennen auch gefiltert gedruckt werden
- Unterstuetzung der CAN-Bus DRC 7030.550 (RFID-System)
- Neue Rechteverwaltung fuer Benutzer
- Neue Visualisierung der Alarm- und Rechte-Configuration der Sensoren
- Grafische Unterscheidung der beiden Datentypen "Config" und "Data" der Sensoren
- Erweiterung der Gruppen auf 32 Gruppen
- Erweiterung der User auf 33 User (32 individuelle User, 1 "admin")
- "Undock"-Funktion zur Anzeige der grafischen Sensorinformationen in einem eigenen
Fenster (nicht mit Internet Explorer)
- Erweiterung der Verknuepfungsmoeglichkeiten bei Tasks um die Operatoren "NOR" und
"NAND"
- Tasks sind um eine Delay-Funktion ergaenzt, mit der man ein Einschaltverzoegerung,
eine Ausschaltverzoegerung oder einen Puls realisieren kann

Aenderungen in V 3.11.00_5:
- Bugfix: Kompatibilitaet mit Firefox 25 und Chrome 31
- Verbesserter Anmeldevorgang des FCS an der CAN-Bus Unit

Aenderungen in V 3.11.00_4:
- Bugfix bei erstem Start der CMC III PU

Aenderungen in V 3.11.00_2:
- Ergaenzung der Funktion "Grouping" fuer CAN-Bus Sensor "CMCIII-SEN"
- Bugfix: Senderadresse wird mit der E-Mail uebertragen
- LCP-Bugfix: Nach Neustart der CMC III PU behalten die internen Sensoren ihre
Konfiguration

Aenderungen in V 3.11.00_1:
- Bugfix: Sicherheitsluecke mit fehlerhafter LDAP-Abfrage geschlossen
- Bugfix: Zugriff per FTP beschleunigt

Neue Funktionen in V 3.11.00:
- Integration von IPv6 (gilt nicht fuer den Server-Shutdown)
- DNS: In den generellen Einstellungen koennen anstelle von IP-Adressen nun auch
Servernamen eingegeben werden (nicht bei der Konfiguration des Server-Shutdown)
- Integration des Kommunikationsprotokolls OPC-UA
- Benutzerverwaltung mit Hilfe von LDAP (nur Webzugriff)
- Die neuen PSM-Messschienen 7859.050 und 7859.053 mit CAN-Bus werden unterstuetzt
- Unterstuetzung der PSM-MID-Module 7859.312 und 7859.332
- Die Einheit der Temperatur kann zwischen Grad Celsius und Grad Fahrenheit gewaehlt
werden
- Speicherung der Systemeinstellungen der CMC III PU in einer Konfigurationsdatei,
die per FTP heruntergeladen und durch Kopieren in das Upload-Verzeichnis
wiederhergestellt werden kann
- Die Bezeichnungen der Sensoren werden in der Uebersicht uebernoemmen
- Zusaetzliche Informationen auf der Webseite: Status der GSM Unit, Stromverbrauch
der beiden CAN-Anschluesse, Systemtemperatur, Versorgungsspannungen
- Unter dem Device PUIII wird nun die richtige Seriennummer der CMC III PU angezeigt
- Werte der Power Unit werden tabellarisch dargestellt
- Der Universalsensor 7030.190 kann als Wiegand-Schnittstelle definiert werden
- Der Temperatur-/Feuchtesensor zeigt zusaetzlich den Taupunkt an
- Bei einem Rechtsklick auf die Baumstruktur oder die Meldungsliste auf der Webseite
kann unterschieden werden, welche Meldungen bestaetigt werden sollen
- Nach einem "Reorganize" werden die Sensoren wieder automatisch angemeldet. Die
zugewiesenen "Alarm Configuration" der einzelnen Sensoren bleibt ebenfalls bestehen
- Verbesserung der Log-Eintraege: Es werden mehr Informationen in die Logging-Liste
geschrieben und angezeigt
- Bessere Uebersicht in der Task-Konfiguration: Bei der "Trigger Expression" wird
die zusammenfassende Zeile nicht mehr angezeigt
- Die Ethernet-Einstellungen koennen gewaehlt werden (nur ueber Telnet oder USB)
- Schaltbefehle koennen auch ueber Telnet ausgefuehrt werden
- Allgemeine Software-Pflege
- Verbesserung der Kompabilitaet mit dem Internet Explorer
- Die internen Sensoren der CMC III PU werden nicht mehr als "Lost" gemeldet
- Fehler in der SMTP-Kommunikation mit "Authentification" am Server behoben

Neue Funktionen in V 3.09.00:
- Schnellerer Bootvorgang der CMC III PU
- Anpassung des Designs der Weboberflaeche an das Design von www.rittal.de
- Rebootfunktion ueber das Netzwerk mittels Telnet
- Unterstuetzung des Fan Control Systems 7320.810 mit der CAN-Bus Unit fuer 2
Kanaele 7030.030
- Neues Virtual Device "Access Controller" zum Schalten von Ausgaengen anderer
Units mit einem Lesesystem (Tastencode und/oder Transponderleser)
- Grafische Darstellung der PSM-Module und tabellarische Darstellung der Messwerte
der PSM-Messschienen
- Zugangscodes und Kartennummern koennen ueber die Website eingestellt werden
- Shutdown-Funktion fuer Server mittels RCCMD ueber die Tasks auswaehlbar
- Erweiterte Anzahl an Eingangswerten fuer Tasks
- PSM-Module und auch andere schaltbare Ausgaenge koennen gruppiert und somit
gleichzeitig geschaltet werden. Bei PSM-Modulen sollten maximal 4 Ports eines
Moduls der gleichen Gruppe zugeordnet werden.